/**
 * Josephus-Algorithmus.
 * 
 * @author Owyn
 * @version 2008-05-16
 */
public class Josephus {

    /**
     * Startet den Abz&auml;hlalgorithmus.
     * 
     * @param n Der Kreis enth&auml;lt n Personen
     * @param k Die k-te Person wird abgez&auml;hlt
     */
    public static void test(int k, int n) {
        Circle c = new Circle();
        
        for (int i = 1; i <= n; i++) {
            c.insert(i);
        }
        System.out.println(c);
        
        while (!c.isEmpty()) {
            System.out.print(c.remove(k) + " ");
        }
        System.out.println();
        
    }
    
}